# eric7.Plugins.VcsPlugins.vcsMercurial.HgBookmarksListDialog

Module implementing a dialog to show a list of bookmarks.

### Global Attributes

None

### Classes

HgBookmarksListDialog | Class implementing a dialog to show a list of bookmarks.

### Functions

None

## HgBookmarksListDialog

Class implementing a dialog to show a list of bookmarks.

### Derived from

QDialog, Ui_HgBookmarksListDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgBookmarksListDialog | Constructor
__deleteBookmark | Private slot to delete the selected bookmark.
__finish | Private slot called when the process finished or the user pressed the button.
__generateItem | Private method to generate a bookmark item in the bookmarks list.
__processOutputLine | Private method to process the lines of output.
__pullBookmark | Private slot to pull the selected bookmark.
__pushAllBookmarks | Private slot to push all bookmarks.
__pushBookmark | Private slot to push the selected bookmark.
__pushCurrentBookmark | Private slot to push the current bookmark.
__renameBookmark | Private slot to rename the selected bookmark.
__resizeColumns | Private method to resize the list columns.
__resort | Private method to resort the tree.
__showError | Private slot to show some error.
__switchTo | Private slot to switch the working directory to the selected revision.
closeEvent | Protected slot implementing a close event handler.
on_bookmarksList_customContextMenuRequested | Private slot to handle the context menu request.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_refreshButton_clicked | Private slot to refresh the status display.
start | Public slot to start the bookmarks command.

### Static Methods

None

#### HgBookmarksListDialog (Constructor)

HgBookmarksListDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### HgBookmarksListDialog.__deleteBookmark

__deleteBookmark()

Private slot to delete the selected bookmark.

#### HgBookmarksListDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### HgBookmarksListDialog.__generateItem

__generateItem(revision, changeset, status, name)

Private method to generate a bookmark item in the bookmarks list.

revision
  revision of the bookmark (string)
changeset
  changeset of the bookmark (string)
status
  of the bookmark (string)
name
  name of the bookmark (string)

#### HgBookmarksListDialog.__processOutputLine

__processOutputLine(line)

Private method to process the lines of output.

line
  output line to be processed (string)

#### HgBookmarksListDialog.__pullBookmark

__pullBookmark()

Private slot to pull the selected bookmark.

#### HgBookmarksListDialog.__pushAllBookmarks

__pushAllBookmarks()

Private slot to push all bookmarks.

#### HgBookmarksListDialog.__pushBookmark

__pushBookmark()

Private slot to push the selected bookmark.

#### HgBookmarksListDialog.__pushCurrentBookmark

__pushCurrentBookmark()

Private slot to push the current bookmark.

#### HgBookmarksListDialog.__renameBookmark

__renameBookmark()

Private slot to rename the selected bookmark.

#### HgBookmarksListDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### HgBookmarksListDialog.__resort

__resort()

Private method to resort the tree.

#### HgBookmarksListDialog.__showError

__showError(out)

Private slot to show some error.

out
  error to be shown (string)

#### HgBookmarksListDialog.__switchTo

__switchTo()

Private slot to switch the working directory to the selected revision.

#### HgBookmarksListDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### HgBookmarksListDialog.on_bookmarksList_customContextMenuRequested

on_bookmarksList_customContextMenuRequested(pos)

Private slot to handle the context menu request.

pos (QPoint)
  position the context menu was requetsed at

#### HgBookmarksListDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### HgBookmarksListDialog.on_refreshButton_clicked

on_refreshButton_clicked()

Private slot to refresh the status display.

#### HgBookmarksListDialog.start

start(bookmarksList)

Public slot to start the bookmarks command.

bookmarksList
  reference to string list receiving the bookmarks (list of strings)

Up